Bug 1004112 - continuous abrt spam: ImportError: No module named transaction
continuous abrt spam: ImportError: No module named transaction
Status: CLOSED DUPLICATE of bug 983999
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2013-09-03 21:28 EDT by Rik van Riel
Modified: 2013-09-04 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-04 05:50:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2013-09-03 21:28:39 EDT
Description of problem:

After rebooting my RHEL6 system, I am getting a continuous stream of abrt mail (one every 2-3 minutes) with the following info in it.

I am not sure what is triggering this issue, I am not touching the system, just getting spammed with these error messages...

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. have a RHEL6 system registered with RHN
2. reboot it, so it runs all the recent RHEL6 programs

Actual results:

abrt_version:   2.0.8
cmdline:        python /usr/share/rhn/up2date_client/hardware.py
executable:     /usr/share/rhn/up2date_client/hardware.py
kernel:         2.6.32-358.18.1.el6.x86_64
time:           Tue 03 Sep 2013 09:17:36 PM EDT
uid:            0
username:       root

sosreport.tar.xz: Binary file, 3868212 bytes

:config.py:40:<module>:ImportError: No module named transaction
:Traceback (most recent call last):
:  File "/usr/share/rhn/up2date_client/hardware.py", line 25, in <module>
:    import rhnserver
:  File "/usr/share/rhn/up2date_client/rhnserver.py", line 22, in <module>
:    import rpcServer
:  File "/usr/share/rhn/up2date_client/rpcServer.py", line 12, in <module>
:    import clientCaps
:  File "/usr/share/rhn/up2date_client/clientCaps.py", line 10, in <module>
:    import capabilities
:  File "/usr/share/rhn/up2date_client/capabilities.py", line 4, in <module>
:    import up2dateErrors
:  File "/usr/share/rhn/up2date_client/up2dateErrors.py", line 16, in <module>
:    from yum.Errors import RepoError, YumBaseError
:  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 52, in <module>
:    import config
:  File "/usr/lib/python2.6/site-packages/yum/config.py", line 40, in <module>
:    import rpmUtils.transaction
:ImportError: No module named transaction
:Local variables in innermost frame:
:urlparse: None
:ConfigPreProcessor: None
:copy: None
:warnings: None
:__builtins__: {'bytearray': <type 'bytearray'>, 'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in function all>, 'help': Type help() for interactive help, or help(object) for help about object., 'vars': <built-in function vars>, 'SyntaxError': <type 'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError': <type 'exceptions.UnicodeDecodeError'>, 'isinstance': <built-in function isinstance>, 'copyright': Copyright (c) 2001-2010 Python Software Foundation.
:All Rights Reserved.
:Copyright (c) 2000 BeOpen.com.
:All Rights Reserved.
:Copyright (c) 1995-2001 Corporation for National Research Initiatives.
:All Rights Reserved.
:Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
:All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'BytesWarning': <type 'exceptions.BytesWarning'>, 'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>, 'bin': <built-in function bin>, 'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type 'exceptions.StandardError'>, 'format': <built-in function format>, 'repr': <built-in function repr>, 'sorted': <built-in function sorted>, 'False': False, 'RuntimeWarning': <type 'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>, 'Warning': <type 'exceptions.Warning'>, '__package__': None, 'round': <built-in function round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'bytes': <type 'str'>, 'reduce': <built-in function reduce>, 'intern': <built-in function intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type 'exceptions.EOFError'>, 'locals': <built-in function locals>, 'BufferError': <type 'exceptions.BufferError'>, 'slice': <type 'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum': <built-in function sum>, 'getattr': <built-in function getattr>, 'abs': <built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit, 'print': <built-in function print>, 'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>, 'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash': <built-in function hash>, 'ReferenceError': <type 'exceptions.ReferenceError'>, 'len': <built-in function len>, 'credits':     Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
:    for supporting Python development.  See www.python.org for more information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type 'super'>, 'TypeError': <type 'exceptions.TypeError'>, 'license': See http://www.python.org/2.6/license.html, 'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError': <type 'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError': <type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type 'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>, 'globals': <built-in function globals>, 'divmod': <built-in function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>, 'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type 'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>, 'next': <built-in function next>, 'ImportError': <type 'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>, 'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type 'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>, 'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>, 'raw_input': <built-in function raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile': <built-in function compile>, 'ArithmeticError': <type 'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type 'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type 'int'>, '__import__': <built-in function __import__>, 'KeyError': <type 'exceptions.KeyError'>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>, 'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>, 'unichr': <built-in function unichr>, 'id': <built-in function id>, 'OSError': <type 'exceptions.OSError'>, 'DeprecationWarning': <type 'exceptions.DeprecationWarning'>, 'min': <built-in function min>, 'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in function execfile>, 'any': <built-in function any>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>, 'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>, 'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval': <built-in function eval>, '__debug__': True, 'IndentationError': <type 'exceptions.IndentationError'>, 'AssertionError': <type 'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>, 'UnboundLocalError': <type 'exceptions.UnboundLocalError'>, 'NotImplementedError': <type 'exceptions.NotImplementedError'>, 'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type 'exceptions.OverflowError'>}
:rpm: None
:__file__: None
:INIConfig: None
:_use_iniparse: None
:sys: None
:ConfigParser: None
:shlex: None
:ParsingError: None
:NoOptionError: None
:__name__: None
:NoSectionError: None
:__package__: None
:os: None
:__doc__: None
:varReplace: None

Additional information:

abrt does not actually attach sosreport.tar.xz
Comment 1 Rik van Riel 2013-09-03 21:34:54 EDT
As an aside, the file /usr/lib/python2.6/site-packages/rpmUtils/transaction.py, which the error message suggests does not exist, actually does exist, permissions look ok, and "rpm -V yum" reports no mismatches.
Comment 2 Milan Zázrivec 2013-09-04 05:50:25 EDT
Yes, this happens b/c some crash happens on your system, abrt catches
it and while creating the crash report, abrt tries to run sosreport,
which crashes b/c of a module import error -> here we are.

This will be resolved in RHEL-6.5 with bug #983999.

*** This bug has been marked as a duplicate of bug 983999 ***

Note You need to log in before you can comment on or make changes to this bug.